Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_context_struct Struct Reference

## Data Fields
enum context_type | type
int | argc
int | kw_splat
VALUE | self
VALUE | value
struct cont_saved_vm_stack | saved_vm_stack
struct {
VALUE * stack
VALUE * stack_src
size_t stack_size
} | machine
rb_execution_context_t | saved_ec
rb_jmpbuf_t | jmpbuf
rb_ensure_entry_t * | ensure_array
struct mjit_cont * | mjit_cont

## Detailed Description

Definition at line 179 of file cont.c.

## Field Documentation

## ◆ argc

int rb_context_struct::argc

Definition at line 181 of file cont.c.

Referenced by rb_fiber_start().

## ◆ ensure_array

rb_ensure_entry_t* rb_context_struct::ensure_array

Definition at line 195 of file cont.c.

## ◆ jmpbuf

rb_jmpbuf_t rb_context_struct::jmpbuf

Definition at line 194 of file cont.c.

## ◆ kw_splat

int rb_context_struct::kw_splat

Definition at line 182 of file cont.c.

Referenced by rb_fiber_start().

## ◆ machine

struct { ... } rb_context_struct::machine

## ◆ mjit_cont

struct mjit_cont* rb_context_struct::mjit_cont

Definition at line 197 of file cont.c.

## ◆ saved_ec

rb_execution_context_t rb_context_struct::saved_ec

Definition at line 193 of file cont.c.

Referenced by rb_fiber_mark_self(), rb_fiber_reset_root_local_storage(), rb_fiber_update_self(), and rb_threadptr_root_fiber_setup().

## ◆ saved_vm_stack

struct cont_saved_vm_stack rb_context_struct::saved_vm_stack

Definition at line 186 of file cont.c.

## ◆ self

VALUE rb_context_struct::self

Definition at line 183 of file cont.c.

Referenced by rb_fiber_mark_self(), rb_fiber_update_self(), and rb_threadptr_root_fiber_release().

## ◆ stack

VALUE* rb_context_struct::stack

Definition at line 189 of file cont.c.

## ◆ stack_size

size_t rb_context_struct::stack_size

Definition at line 191 of file cont.c.

## ◆ stack_src

VALUE* rb_context_struct::stack_src

Definition at line 190 of file cont.c.

## ◆ type

enum context_type rb_context_struct::type

Definition at line 180 of file cont.c.

Referenced by rb_threadptr_root_fiber_release(), and rb_threadptr_root_fiber_setup().

## ◆ value

VALUE rb_context_struct::value

Definition at line 184 of file cont.c.

Referenced by rb_fiber_start().

The documentation for this struct was generated from the following file:

- cont.c